Subject: [DMVR] Drifting Discussion

From: "ERIK S TALBOT" <[email-masked]>
Date: Wed, 4 Feb 2004 19:18:12 -0600

"When the general feeling of the driver's meeting is "If you want to 
screw around, go out to the street," I just can't get on board with 
that.  There are varying degrees of course, but to a certain degree 
isn't that what we're all there for ?"

I'm curious as to how this impression has occurred but it's CERTAINLY NOT the intent of any safety discussion as part of a DMVR Solo event.  We and SCCA in general will NOT have a solo program should events not continue to be run in as safe as manner as possible.  Insurance would become prohibitively expensive or unavailable and site availability would evaporate.  And NO, I certainly do NOT agree with your comment regarding we're at events to "screw around"; have fun YES, practice precision driving to the limits of our ability and car's capability, YES, "screw around", NOPE.

As a DMVR Solo Safety steward I cannot control how people drive on public streets but it is in our region's and SCCA's interest as well as the safety of all participants and registered visitors that we continually remind all of the focus on safety.  Because we strongly stress safety on our solo sites that we control in no means should be interpreted as endorsing stupid, unsafe driving on the public roadways.

I'm sorry you feel the way you do and if it's a matter of how we present our little safety briefings at driver's meetings, I'm always willing to consider more effective ways to remind folks of the inherent dangers in our sport and everything we can do to stay safe and continue to enjoy our sport.

Rick (aka Flip) Talbot